org.apache.catalina

## Class LifecycleEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.catalina.LifecycleEvent

- All Implemented Interfaces:
    Serializable

      public final class LifecycleEvent
      extends EventObject

  General event for notifying listeners of significant changes on a component that implements the Lifecycle interface.
  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LifecycleEvent(Lifecycle lifecycle, String type, Object data)` Construct a new LifecycleEvent with the specified parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getData()`
    `Lifecycle` | `getLifecycle()`
    `String` | `getType()`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LifecycleEvent

          public LifecycleEvent(Lifecycle lifecycle,
                        String type,
                        Object data)

      Construct a new LifecycleEvent with the specified parameters.
      Parameters:
        `lifecycle` - Component on which this event occurred
        `type` - Event type (required)
        `data` - Event data (if any)

  - ### Method Detail

    - #### getData

          public Object getData()

      Returns:
        the event data of this event.

    - #### getLifecycle

          public Lifecycle getLifecycle()

      Returns:
        the Lifecycle on which this event occurred.

    - #### getType

          public String getType()

      Returns:
        the event type of this event.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.